[package]
name = "mycelium_core"
version = "0.1.1"
authors = ["matthew.bradford <matthew.bradford@tutanota.com>"]
edition = "2018"
description = "Library for Mycelium DDM"
repository = "https://gitlab.com/matthew.bradford/myceliumdds"
license = "MIT"
maintenance = { status = "experimental" }
gitlab = { repository = "https://gitlab.com/matthew.bradford/myceliumdds.git", branch = "master" }

[dependencies]
bincode = "1.1.1"
chrono = { version = "0.4.6", features = ["serde"] }
dirs = "2.0.2"
fern = "0.5.7"
futures = "0.3.1"
#mycelium_command = "0.1.1"
mycelium_command = { path="../mycelium_command" }
mycelium_experimental = { path="../mycelium_experimental" }
log = "0.4.6"
rayon = "1.1.0"
remove_dir_all = "0.5.2"
ron = "0.4.1"
serde = { version="1.0.101", features=["serde_derive"] }
uuid = { version = "0.7", features = ["v4"] }

[dev-dependencies]
rand = "0.7.2"